Subject: Re: bug#34577: 27.0.50; Identical face specification yields different line heights on different platforms

From: Markus Triska <[email-masked]>
Date: Mon, 10 Jun 2019 17:07:46 +0200

Eli Zaretskii <[email-masked]> writes:

>> Is there a way to reliably obtain the same results on these platforms?
>
> Not when each platform has its own font back-end, no.

As far as I can tell, xft is the font back-end that is used on both
platforms. For example, when I evaluate the following form:

    (frame-parameter nil 'font-backend)

then on Debian, this yields: (xft x)
and on OSX, this yields:     (xft)

Is this useful to obtain consistent behaviour? Can I do anything to
configure this identically? Is more information needed to do this?

Thank you and all the best!
Markus